Skip site navigation (1) Skip section navigation (2)

update on compiling postgres on sco

From: "Arno A(dot) Karner" <karner(at)tnss(dot)com>
To: "pgsql-hackers(at)postgresql(dot)org" <pgsql-hackers(at)postgresql(dot)org>
Subject: update on compiling postgres on sco
Date: 2000-12-04 16:37:18
Message-ID: 3A2BC83E.4B07BE70@tnss.com (view raw or flat)
Thread:
Lists: pgsql-hackers
posting for others who may need, hopfuly the searchable mail list works
in the future

commenting out the define complex macro allowed me to compile on sco
5.0.5 using udk compiler on sco, without the c++ stuff. but scos udk
solution breaks almost every thing else i compile on sco 5.0.5 when u
install there compatability stuff they introduce 2 sets of libraries one
for sco one for unixware compatability, the compatability librarsy the
give you DO NOT replace all the shared libraies on the system, notably
/lib/prot.so or anything under /lib has no compatable libs installed
under /udk/usr/lib, the udk compilers both c and c++ use the new
libraries by default soon as you need a libray that is not available
under /udk/usr/lib your screwed, there is a skunkware version of gcc but
it passes a non existant option -b to the sco assember, and even the sco
assebler uses the new udk libs, removing c++ on sco does not fix the
problem as sco says it should, since there is no binutils ported to sco
skunkware with gas and other tools this realy sucks.

not sure if i can install my old sdk on sco 5.0.5 which was licsensed on
sco 5.0.2, not sure if sdk and udk can co exist, and how do u manage the
libs dirs that are searched autmaticly, or add the -Xo option that sco
says will allow stuff to compile with less strict error checking -
winblows model stuff compiles and links may - maynot work or unknown
problems to test scos udk on sco openserver 5.0.5 breaks all open source
code, or at least most of what i want to use.

advice to future people that want to use sco open server, screw the udk,
udk compatability
for those wishing to use the backwards compatability from unixware to
sco openserver expect conflicts, and unsuportted libraries, links static
and pray.

hope like hell caldara slaps some sense into sco fast, or at least port
binutils, gcc then maybe u can just license the header files for 100
bucks instead of buing crapy compiler technoweldgy for 500 bucks when
all you want is the header files, and 
-- 
My opinions are my own and not that of my employer even if I am self
employed
Tech Net, Inc.            --FREE THE MACHINES--                 
651.224.2223
627 Palace Ave. #2           karner(at)tnss(dot)com              
karner(at)tnss(dot)mn(dot)org
St. Paul, MN 55102-3517        www.tnss.com         
wanted    : adsl/cable modem with static ip at reasonable price
accept-txt: us-ascii,html,pdf
accept-dat: ascii-delimited,sql insert statments

pgsql-hackers by date

Next:From: Zeugswetter Andreas SBDate: 2000-12-04 17:08:23
Subject: AW: AW: broken locale in 7.0.2 without multibyte support (F reeBSD 4.1-RELEASE) ?
Previous:From: The Hermit HackerDate: 2000-12-04 16:31:34
Subject: Re: beta testing version

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group